%define libver   3.3.2
%define libmajor 3

Summary: Clxclient C++ libraries
Name: clxclient
Version: 3.3.2
Release: 1%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.kokkinizita.net/linuxaudio/
Source0: http://www.kokkinizita.net/linuxaudio/downloads/clxclient-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Obsoletes:    classlibs <= 0.0.1

BuildRequires: clthreads-devel
%if "%{fedora}" >= "5" || "%{redhat}" >= "5"
BuildRequires: libX11-devel libXft-devel
%else
BuildRequires: XFree86-devel
%endif

%description
Clxclient C++ libraries

%package  devel
Summary: Clxclient C++ libraries
Group: Development/Libraries
Requires: clxclient = %{version}-%{release}

Obsoletes: classlibs-devel <= 0.0.1

%description devel
Clxclient C++ libraries. This package includes the
development tools.

%prep
%setup -q -n %{name}-%{version}

%build
%{__perl} -p -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" Makefile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__mkdir} -p %{buildroot}%{_includedir}
%{__make} PREFIX=%{buildroot}%{_prefix} install

# create .so.x link
%{__ln_s} libclxclient.so.%{libver} %{buildroot}%{_libdir}/libclxclient.so.%{libmajor}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.3.2-1
- updated to 3.3.2

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.3.1-1
- updated to version 3.3.1

* Sun Nov 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.3.0-2
- add %{?dist} to release tag, add %%{fedora} conditional for X build
  requirement

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.3.0-1
- update to 3.3.0

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.2-1
- updated to 1.0.2
- proper build dependencies for fc5
- add patch for gcc4.1

* Tue Dec 28 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanups

* Fri Dec  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.1-1
- updated to 1.0.1

* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-1
- updated to 1.0.0

* Wed Jun 16 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- DOH!, obsolete the -devel package as well...

* Mon Jun 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- obsoletes classlibs
- first build

* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- moved so file to main package to keep aeolus happy

* Wed May  5 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-2
- force apps to link with the major release name of the libraries
  (ie: ".so.0" instead of ".so")

* Tue May  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-1
- initial build, needed for releasing Aeolus
